<?php

sleep(1);
if (array_key_exists("dep", $_REQUEST))
{
	$tomorrow = 0;//60*60*24; // en nb de secondes
	header("Cache-Control: max-age=$tomorrow");
	print_plain();
}
else
{
	print "Usage : $_SERVER[PHP_SELF]?dep=un-code-departement";
}

function print_plain()
{
	header("Content-type: text/html; charset=windows-1252");
	$dep=$_REQUEST["dep"];
	$tab_dep=explode("_",$dep);
	$ville = get_ville($tab_dep[0],$tab_dep[1]);
	$result = array();
	foreach ($ville as $row)
	{
		$result[] = $row["villes_id"]."=".str_majuscules($row["villes_nom"])." (".$row["villes_cp"].")";
	}
	/*
	if (count($result)==0)
		$result[]="-1=-- Inconnu --";
	*/
	print implode(";", $result);
}

function get_ville($dep,$pays)
{
	include_once("../inc/config.inc.php");
	include_once("../inc/func_txt.inc.php");
	// On se connecte a la base
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	// On vérifie s'il y a des départements, régions ou états dans ce pays
	// Il y en a, on filtre donc par département, sur le pays
	// Cela limite le temps de réponse car les départements, régions, ou états sont souvent présents dans les grands pays
	//  donc, dans des pays avec de nombreuses communes
	$rech="";
	if ($dep<>"")
	{
		if ($dep<>"-1")
		{
			$filtre=$dep;
			if (($filtre == "2A") OR ($filtre == "2B"))
				$filtre = "20";
			$rech = "SELECT * FROM ".TBVILLES." WHERE `villes_dep` = '".str_majuscules($filtre)."' AND `villes_codepays`='".str_majuscules($pays)."' ORDER BY villes_nom";
		}
		else
		{
			$rech = "SELECT * FROM ".TBVILLES." WHERE `villes_codepays`='".str_majuscules($pays)."' ORDER BY villes_nom";
		}
	}
	// Il n'y en a pas, on prend toutes les villes du pays
	else
	{
		$rech = "SELECT * FROM ".TBVILLES." WHERE `villes_codepays`='".str_majuscules($pays)."' ORDER BY villes_nom";
	}
	$result = array();
	if ($rech<>"")
	{
		$rs = mysql_query($rech) or die(mysql_error());
		// On crée le resultat
		if (mysql_num_rows($rs)>0)
		{
			while($row = mysql_fetch_array($rs))
			{
				$result[] = $row;
			}
		}
	}
	mysql_close();
	return $result;
}

?>